%define name    harfbuzz
%define version 0.9.10
%define rel     3
%define release %mkrel %{rel}

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: OpenType text shaping engine
Name:    %{name}
Version: %{version}
Release: %{release}
License: Old MIT
Group:   Development/Other
Source:  http://www.freedesktop.org/software/harfbuzz/release/%{name}-%{version}.tar.bz2
Patch0:  harfbuzz-0.9.5-linkage.patch
URL:     http://www.freedesktop.org/wiki/Software/HarfBuzz
BuildRequires: pkgconfig(cairo) >= 1.8.0
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(freetype2) >= 2.3.8
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(icu-le)
BuildRequires: pkgconfig(icu-uc)

%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary: Libraries for the %{name} package
Group:   Development/Other

%description -n %{libname}
Libraries for %{name}

%package -n %{libnamedev}
Summary:  Headers and development libraries from %{name}
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make V=1

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%check
make check

%files
%{_bindir}/*

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog

* Thu Jan 31 2013 luigiwalser <luigiwalser> 0.9.10-3.mga3
+ Revision: 393747
- add make check

* Sat Jan 12 2013 umeabot <umeabot> 0.9.10-2.mga3
+ Revision: 353113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 0.9.10-1.mga3
+ Revision: 338952
- 0.9.10

* Fri Dec 07 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 327903
- new verrsion 0.9.9

* Tue Nov 20 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 319693
- drop merged patch
- new version 0.9.6

* Fri Nov 16 2012 fwang <fwang> 0.9.5-2.mga3
+ Revision: 318593
- rebuild for new icu

* Fri Nov 09 2012 fwang <fwang> 0.9.5-1.mga3
+ Revision: 316691
- add upstream patch to use ICU LayoutEngine C API
- more linkage
- apply patches
- fix linkage
- new version 0.9.5

* Fri Sep 14 2012 trem <trem> 0.9.4-1.mga3
+ Revision: 293969
- add some buildrequires (glib2-devel,cairo-devel,icu-devel,freetype-devel)
- imported package harfbuzz

